Signout
/api/v2/signoutExpire a user session
Expires a user session specified by a session cookie.
Use this endpoint to expire a user session that was generated when the user
authenticated with the InfluxDB Developer Console (UI) or the POST /api/v2/signin endpoint.
For example, the POST /api/v2/signout endpoint represents the third step
in the following three-step process
to authenticate a user, retrieve the user resource, and then expire the session:
- Send a request with the user’s Basic authentication credentials
to the
POST /api/v2/signinendpoint to create a user session and generate a session cookie. - Send a request to the
GET /api/v2/meendpoint, passing the stored session cookie from step 1 to retrieve user information. - Send a request to the
POST /api/v2/signoutendpoint, passing the stored session cookie to expire the session.
See the complete example in request samples.
InfluxDB stores user sessions in memory only. If a user doesn’t sign out, then the user session automatically expires within ten minutes or during a restart of the InfluxDB instance.
To learn more about cookies in HTTP requests, see Mozilla Developer Network (MDN) Web Docs, HTTP cookies.
Related endpoints
Parameters
Header parameters
Zap-Trace-Span
stringcurl --request POST \
"https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/signout" \
--header "Authorization: Bearer INFLUX_TOKEN"Responses
code
required
stringinternal error
, not implemented
, not found
, conflict
, invalid
, unprocessable entity
, empty value
, unavailable
, forbidden
, too many requests
, unauthorized
, method not allowed
, request too large
, unsupported media typeerr
stringmessage
stringop
stringcode
required
stringinternal error
, not implemented
, not found
, conflict
, invalid
, unprocessable entity
, empty value
, unavailable
, forbidden
, too many requests
, unauthorized
, method not allowed
, request too large
, unsupported media typeerr
stringmessage
stringop
stringWas this page helpful?
Thank you for your feedback!
Support and feedback
Thank you for being part of our community! We welcome and encourage your feedback and bug reports for InfluxDB and this documentation. To find support, use the following resources:
Customers with an annual or support contract can contact InfluxData Support.